Main Page Class Hierarchy Compound List File List Compound Members File Members

# TComFileParser Class Reference

`#include <comfile.h>`

Inheritance diagram for TComFileParser:

List of all members.

## Public Member Functions
| TComFileParser ()
| ~TComFileParser ()
bool | Open (const char *p_filename)
bool | DesignateArchive (FILE *p_file)
void | Close ()
int | ReadLine ()
## Protected Attributes
FILE * | files [MAX_COM_FILE]
int | OpenFileCount
FILE * | Archive
char * | name
bool | eof

## Constructor & Destructor Documentation

TComFileParser::TComFileParser | ( |  | ) |

| Definition at line 7 of file comfile.cpp. References CS_MODE_FILE, files, MAX_COM_FILE, OpenFileCount, and ConfigSource::ReadMode.

TComFileParser::~TComFileParser | ( |  | ) |

| Definition at line 17 of file comfile.cpp.

## Member Function Documentation

void TComFileParser::Close | ( |  | ) | `[virtual]`

| Reimplemented from ConfigSource. Definition at line 50 of file comfile.cpp. References files, and OpenFileCount. Referenced by TGlobalUtils::LoadFiles(), and Open().

bool TComFileParser::DesignateArchive | ( | FILE * | p_file | ) |

| Definition at line 37 of file comfile.cpp. References Archive, CS_MODE_ARCHIVE, eof, and ConfigSource::ReadMode.

bool TComFileParser::Open | ( | const char * | p_filename | ) |

| Definition at line 21 of file comfile.cpp. References Close(), CS_MODE_FILE, eof, files, ConfigSource::LastError, OpenFileCount, and ConfigSource::ReadMode. Referenced by TGlobalUtils::LoadFiles(), main(), CMFCDialogAppBase::ParseCommandFile(), and TModuleBase::Run().

int TComFileParser::ReadLine | ( |  | ) | `[virtual]`

| Reimplemented from ConfigSource. Definition at line 68 of file comfile.cpp. References COMFILE_EOF, COMFILE_ERROR, CS_MODE_ARCHIVE, CS_MODE_FILE, eof, files, ConfigSource::LastError, ConfigSource::LineParseIndex, MAX_COM_FILE, MAX_LINE_LENGTH, ConfigSource::NextToken(), and OpenFileCount. Referenced by TGlobalUtils::LoadFiles(), main(), CMFCDialogAppBase::ParseCommandFile(), and TModuleBase::Run().

## Member Data Documentation

FILE* TComFileParser::Archive`[protected]`

| Definition at line 27 of file comfile.h. Referenced by DesignateArchive().

bool TComFileParser::eof`[protected]`

| Definition at line 30 of file comfile.h. Referenced by DesignateArchive(), Open(), and ReadLine().

FILE* TComFileParser::files[MAX_COM_FILE]`[protected]`

| Definition at line 25 of file comfile.h. Referenced by Close(), Open(), ReadLine(), and TComFileParser().

char* TComFileParser::name`[protected]`

| Definition at line 29 of file comfile.h.

int TComFileParser::OpenFileCount`[protected]`

| Definition at line 26 of file comfile.h. Referenced by Close(), Open(), ReadLine(), and TComFileParser().

The documentation for this class was generated from the following files:

- comfile.h
- comfile.cpp